Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.mappings
Class PlafMappingFactory

    java.lang.Object
      org.flexdock.plaf.mappings.PlafMappingFactory

All Implemented Interfaces:
  XMLConstants

    public class PlafMappingFactory

extends Object
implements XMLConstants

Author:
  Christopher Butler

Field Summary
`static String` | `PLAF_KEY`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`PlafMappingFactory()`

Method Summary
`static List` | `getAvailablePlafNames()`
`static String` | `getInstalledPlafReference()`
`static String` | `getPlafReference(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLAF_KEY

    public static final String PLAF_KEY

See Also:
  Constant Field Values

Constructor Detail

### PlafMappingFactory

    public PlafMappingFactory()

Method Detail

### getAvailablePlafNames

    public static List getAvailablePlafNames()

### getInstalledPlafReference

    public static String getInstalledPlafReference()

### getPlafReference

    public static String getPlafReference(String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD